/**
 * Diese Klasse bietet mit der crypt-Methode die M&ouml;glichkeit,
 * einen String mittels der Caesar-Chiffre zu ver- oder entschl&uuml;sseln.
 * 
 * @author Owyn
 * @version 2008-04-24
 */
public class CaesarChiffre {
    
    /**
     * Verschl&uuml;sselt den Text mit dem Verschiebungsschl&uuml;ssel und gibt ihn als String zurck.
     * 
     * @param key   Der Verschiebungsschl&uuml;ssel.
     * @param text  Der zu verschl&uuml;sselnde Text.
     */
    public static String crypt(int key, String text) {
        int p = 0; // plain
        int c = 0; // cipher
        String result = "";
    
        text = text.toUpperCase(); // Text in Grossbuchstaben umwandeln

        for (int i = 0; i < text.length(); i++) {
            p = text.charAt(i) - 'A'; // char auf Zahlenwert zwischen 0 und 25 abbilden
            c = (p + key + 26) % 26; // Verschluesselung
            result += (char) (c + 'A'); // Verschluesseltes Zeichen an Ergebnis anhaengen
        }
    
        return result; // Rueckgabe des verschluesselten Texts
    }
    
}
